//
//  SCAdSessionStateListener.h
//  Spotx_sdk_ios
//
//  Copyright © 2018 smartclip. All rights reserved.
//


#ifndef SCAdSessionStateListener_h
#define SCAdSessionStateListener_h

/**
 * The SCAdSessionStateListener is a protocol
 * that is being informed of the overall
 * state of the sdk, before SessionStateRead
 * is is reached, the sdk can´t be used
 */
@protocol SCAdSessionStateListener <NSObject>

/**
 * Overall state of the session
 */
typedef enum SCAdSessionState {
    SessionStateInitializing,
    SessionStateReady
} SCAdSessionState;


@required
/// Implement this function to be informed about the session state
- (void)onSDKReady;
@end

#endif /* SCAdSessionStateListener_h */
